AntiFeatures:
  NonFreeNet:
    en-US: Depends on warnung.bund.de (DE) / AlertSwiss (CH)
Categories:
  - Internet
  - Sports & Health
License: GPL-3.0-only
AuthorName: Nucleus
AuthorEmail: nucleus-ffm@posteo.de
SourceCode: https://github.com/nucleus-ffm/foss_warn
IssueTracker: https://github.com/nucleus-ffm/foss_warn/issues
Changelog: https://github.com/nucleus-ffm/foss_warn/releases

AutoName: FOSS Warn

RepoType: git
Repo: https://github.com/nucleus-ffm/foss_warn.git

Builds:
  - versionName: 0.2.6
    versionCode: 12
    commit: 0.2.6
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.2.7
    versionCode: 13
    commit: bb78b7af84c677bc865132b51bb12b06ba1697bd
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.2.8
    versionCode: 14
    commit: f332f0b3cd6e478d47c123369118fed2ec619d18
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.2.9
    versionCode: 15
    commit: e518f1bda4c9d22c42b0a774d3bc7cfc24e7aa22
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.3.0
    versionCode: 17
    commit: 6a008b876d923501bf8fdc7e479732994b2ec71b
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
      - android/app/proguard-rules.pro
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.4.1
    versionCode: 20
    commit: 07a4f15b9e21fd67f4a88a8b4a9d9a33c638c2ed
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.4.2
    versionCode: 21
    commit: bbe24886c6ae825b47a389f708338bf427c191eb
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.4.3
    versionCode: 22
    commit: 8a48429cbe1e1e257c9f536924b32b669e254f9a
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.4.5
    versionCode: 24
    commit: 04f7ca026695e0b6d6eaf19779f587537210670b
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.4.6
    versionCode: 25
    commit: 92f4bda8d7a7086fd59e3113481262f059cd41eb
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.5.0
    versionCode: 26
    commit: fac5d2bbffa33de33254690dd8164934c1a5aed8
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter gen-l10n
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.5.1
    versionCode: 27
    commit: 7048baa8ed45d9a5f95c41acd580893a77459f06
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter gen-l10n
      - $$flutter$$/bin/flutter build apk --release --verbose

  - versionName: 0.6.0
    versionCode: 28
    commit: fd2c30d6bb8ab5ff99d87b96b05f159b21951ff5
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.13.2
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter gen-l10n
      - $$flutter$$/bin/flutter build apk --release --verbose

AutoUpdateMode: Version
UpdateCheckMode: Tags ^[\d.]+$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.6.0
CurrentVersionCode: 28
